<nav class="navbar navbar-expand-lg navbar-dark bg-primary">
    <a class="navbar-brand" href="/administrativo">Portal</a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNavDropdown" aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNavDropdown">
        <ul class="navbar-nav me-auto mb-2 mb-lg-0">
            <li class="nav-item" routerLinkActive="active">
                <a class="nav-link" [routerLink]="['/administrativo/productos']">Productos <span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item" routerLinkActive="active">
                <a class="nav-link" [routerLink]="['/administrativo/publicaciones']">Publicaciones</a>
            </li>
            <li class="nav-item dropdown" ngbDropdown>
                <a class="nav-link dropdown-toggle" ngbDropdownToggle role="button"> Ventas </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink" ngbDropdownMenu>
                    <a class="dropdown-item" [routerLink]="['/administrativo/ventas/registrar']">Registrar</a>
                    <a class="dropdown-item" [routerLink]="['/administrativo/ventas/consulta']">Consultar</a>
                </div>
            </li>
            <li class="nav-item dropdown" ngbDropdown>
                <a class="nav-link dropdown-toggle" ngbDropdownToggle role="button"> Facturacion </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink" ngbDropdownMenu>
                    <a class="dropdown-item" [routerLink]="['/administrativo/facturacion/registrar']">Registrar</a>
                    <a class="dropdown-item" [routerLink]="['/administrativo/facturacion/consulta']">Consultar</a>
                </div>
            </li>
        </ul>
        <div class="navbar-nav ml-auto">
            <!-- <a href="#" class="nav-item nav-link notifications"><i class="fa fa-bell-o"></i><span class="badge">1</span></a> -->
            <!-- <a href="#" class="nav-item nav-link messages"><i class="fa fa-envelope-o"></i><span class="badge">10</span></a> -->
            <div class="nav-item dropdown" ngbDropdown>
                <a ngbDropdownToggle data-toggle="dropdown" class="nav-link dropdown-toggle user-action"><i class="bi bi-person-circle"></i> Bienvenido {{usuario_nombre}} <b class="caret"></b></a>
                <div class="dropdown-menu" ngbDropdownMenu>
                    <!-- <a href="#" class="dropdown-item"><i class="fa fa-user-o"></i> Profile</a> -->
                    <!-- <a href="#" class="dropdown-item"><i class="fa fa-calendar-o"></i> Calendar</a> -->
                    <!-- <a href="#" class="dropdown-item"><i class="fa fa-sliders"></i> Settings</a> -->
                    <div class="dropdown-divider"></div>
                    <a [routerLink]="['/logout']" class="dropdown-item"><i class="bi bi-box-arrow-left"></i> Cerrar Sesión</a>
                </div>
            </div>
        </div>
        <!-- <ul class="navbar-nav">
            <li class="nav-item dropdown" ngbDropdown>
                <a class="nav-link dropdown-toggle" ngbDropdownToggle role="button"> Acceso </a>
                <div class="dropdown-menu me-8" aria-labelledby="navbarDropdownMenuLink" ngbDropdownMenu>
                    <a class="dropdown-item" [routerLink]="['/logout']">Cerrar Sesión</a>
                </div>
            </li>
        </ul> -->
    </div>
</nav>

<nav class="navbar navbar-top navbar-expand-md navbar-dark" id="navbar-main" *ngIf="false">
    <div class="container-fluid">
        <!-- Brand -->
        <a class="h4 mb-0 text-white text-uppercase d-none d-lg-inline-block" routerLinkActive="active" [routerLink]="['/dashboard']">{{getTitle()}}</a>
        <!-- Form -->
        <form class="navbar-search navbar-search-dark form-inline mr-3 d-none d-md-flex ml-lg-auto">
            <div class="form-group mb-0" [ngClass]="{ 'focused': focus === true }">
                <div class="input-group input-group-alternative">
                    <div class="input-group-prepend">
                        <span class="input-group-text"><i class="fas fa-search"></i></span>
                    </div>
                    <input class="form-control" placeholder="Search" type="text" (focus)="focus = true" (blur)="focus = false">
                </div>
            </div>
        </form>
        <!-- User -->
        <ul class="navbar-nav align-items-center d-none d-md-flex">
            <li class="nav-item" ngbDropdown placement="bottom-right">
                <a class="nav-link pr-0" role="button" ngbDropdownToggle>
                    <div class="media align-items-center">
                        <span class="avatar avatar-sm rounded-circle">
                <img alt="Image placeholder" src="assets/img/theme/team-4-800x800.jpg">
              </span>
                        <div class="media-body ml-2 d-none d-lg-block">
                            <span class="mb-0 text-sm  font-weight-bold">Jessica Jones</span>
                        </div>
                    </div>
                </a>
                <div class="dropdown-menu-arrow dropdown-menu-right" ngbDropdownMenu>
                    <div class=" dropdown-header noti-title">
                        <h6 class="text-overflow m-0">Welcome!</h6>
                    </div>
                    <a routerLinkActive="active" [routerLink]="['/user-profile']" class="dropdown-item">
                        <i class="ni ni-single-02"></i>
                        <span>My profile</span>
                    </a>
                    <a routerLinkActive="active" [routerLink]="['/user-profile']" class="dropdown-item">
                        <i class="ni ni-settings-gear-65"></i>
                        <span>Settings</span>
                    </a>
                    <a routerLinkActive="active" [routerLink]="['/user-profile']" class="dropdown-item">
                        <i class="ni ni-calendar-grid-58"></i>
                        <span>Activity</span>
                    </a>
                    <a routerLinkActive="active" [routerLink]="['/user-profile']" class="dropdown-item">
                        <i class="ni ni-support-16"></i>
                        <span>Support</span>
                    </a>
                    <div class="dropdown-divider"></div>
                    <a href="#!" class="dropdown-item">
                        <i class="ni ni-user-run"></i>
                        <span>Logout</span>
                    </a>
                </div>
            </li>
        </ul>
    </div>
</nav>